Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001610KdenliveUser Interfacepublic2010-05-24 10:512010-09-22 17:54
Reportershannon 
Assigned ToGranjow 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformIntel dual core 64 bitOSPCLinuxOSOS Version2010 KDE (32 bit
Product Version0.7.7.1 
Target Version0.7.8Fixed in Version0.7.8 
Summary0001610: Titler would benefit from "select all" for text objects
DescriptionIn some titles, which have a lot of individual text objects, it becomes burdensome to change their color one at a time. Allowing users to "select all" and change the color all at once would be very useful. Currently, even manually selecting all text objects does not allow all to change color at once.
Steps To ReproduceCreate a title with 10 text objects. Manually select all of them, and then try to change the color.
Tagstitler
Build/Install MethodDistribution package
Attached Files

- Relationships
related to 0001664closedvpinon Titler: Delete multiple objects at once 
related to 0001709closedvpinon Titler: Move multiple objects 
related to 0001646closedvpinon Titler: Move multiple items 

-  Notes
(0005206)
Granjow (developer)
2010-05-25 15:08

aye, true.
(0005207)
Granjow (developer)
2010-05-25 15:18

Ok, there are several problems. What needs to be done?

1 Selecting multiple objects.
  I'm thinking of something like (if possible):
  Ctrl-a Ctrl-a -- select all
  Ctrl-a Ctrl-t -- select all text items
  Ctrl-a Ctrl-r -- select all rect items
  Ctrl-a Ctrl-i -- select all image items
  (Certainly not shortcuts only)
2 Set proper toolbar(s).
  If objects of different types selected: No specific toolbar
  If objects of same type selected: Show e.g. text toolbar.
3 Apply changes
  We're at the moment working with absolute values only
  (border width, font size, etc.). So changing the font size
  would atm make it the same for each selected object.
  Switching to % when multiple objects selected?
(0005219)
Granjow (developer)
2010-05-28 17:40

r4486: Multiple text and rect items can be changed at once. (text/rect properties only)
(0005253)
Granjow (developer)
2010-06-02 20:45

r4494: Selecting objects works now.
1 Ctrl-a -- select all
  If one or more items selected:
    Shift-Ctrl-A -- select none
  If two or more items selected:
    Ctrl-t -- Select text items only in current selection
    Ctrl-r -- Dito, rects
    Ctrl-i -- Dito, images
  Also available via buttons below the rect.
  (Done)
  To do: Select multiple objects by dragging a rect around them
  (as in inkscape, ...)
3 To do: Position of items. Set the toolbar to «empty» if possible (as in OOo).
  Setting it to a value changes it for every item in the selection.
4 To do: Also move multiple objects.
(0005263)
Granjow (developer)
2010-06-04 14:59

r4507
2 (Done)
3 (Done)
4 Will postpone.
(0005269)
Granjow (developer)
2010-06-06 16:00

r4508
2 Rubberband selection is working now.
  (Done)

Feel free to test :)

- Issue History
Date Modified Username Field Change
2010-05-24 10:51 shannon New Issue
2010-05-25 15:08 Granjow Note Added: 0005206
2010-05-25 15:08 Granjow Assigned To => Granjow
2010-05-25 15:08 Granjow Status new => acknowledged
2010-05-25 15:18 Granjow Note Added: 0005207
2010-05-28 17:40 Granjow Note Added: 0005219
2010-06-02 20:45 Granjow Note Added: 0005253
2010-06-02 20:45 Granjow Status acknowledged => assigned
2010-06-02 20:46 Granjow Target Version => future version
2010-06-04 14:59 Granjow Note Added: 0005263
2010-06-06 16:00 Granjow Note Added: 0005269
2010-06-06 16:00 Granjow Status assigned => feedback
2010-06-07 16:21 Granjow Relationship added related to 0001646
2010-06-17 17:18 Granjow Relationship added parent of 0001664
2010-07-24 21:14 Granjow Tag Attached: titler
2010-07-24 21:18 Granjow Relationship added related to 0001709
2010-07-24 21:18 Granjow Relationship replaced related to 0001664
2010-07-24 21:18 Granjow Status feedback => resolved
2010-07-24 21:18 Granjow Fixed in Version => Recent git
2010-07-24 21:18 Granjow Resolution open => fixed
2010-09-14 11:00 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed
2010-09-22 17:54 Granjow Target Version future version => 0.7.8


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker